import{s as Rt,n as jt,o as Kt}from"../chunks/scheduler.defa9a21.js";import{S as Jt,i as Xt,g as c,s as a,r as l,A as Qt,h as i,f as r,c as n,j as k,u as d,x as v,k as $,y as t,a as s,v as m,d as g,t as p,w as u}from"../chunks/index.fe795e71.js";import{D as _}from"../chunks/Docstring.07f3d703.js";import{H as D,E as Yt}from"../chunks/EditOnGithub.0f575778.js";function Zt(Lt){let M,De,Ae,Pe,P,He,H,Ne,h,N,et,ne,xt="A base Tracker class to be used for all logging integration implementations.",tt,oe,yt=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/main/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,rt,ce,Mt="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",at,ie,Ct=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,nt,se,Et=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,ot,C,B,ct,le,At=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,it,E,V,st,de,It="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",lt,A,S,dt,me,Dt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Be,O,Ve,T,W,mt,ge,Pt="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",gt,pe,G,Se,U,Oe,w,z,pt,ue,Ht="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",ut,he,q,We,F,Ge,b,R,ht,fe,Nt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",ft,ke,Bt="API keys must be stored in a Comet config file.",kt,$e,j,Ue,K,ze,L,J,$t,_e,Vt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",_t,ve,X,qe,Q,Fe,x,Y,vt,be,St="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",bt,Te,Z,Re,ee,je,y,te,Tt,we,Ot="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",wt,Le,re,Ke,ae,Je,Ie,Xe;return P=new D({props:{title:"Experiment Trackers",local:"experiment-trackers",headingTag:"h1"}}),H=new D({props:{title:"GeneralTracker",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),N=new _({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L91"}}),B=new _({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L157"}}),V=new _({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": Optional"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L144"}}),S=new _({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L132"}}),O=new D({props:{title:"TensorBoardTracker",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),W=new _({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.TensorBoardTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L165"}}),G=new _({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L181"}}),U=new D({props:{title:"WandBTracker",local:"accelerate.tracking.WandBTracker",headingTag:"h2"}}),z=new _({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.WandBTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L276"}}),q=new _({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L291"}}),F=new D({props:{title:"CometMLTracker",local:"accelerate.tracking.CometMLTracker",headingTag:"h2"}}),R=new _({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.CometMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L399"}}),j=new _({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L415"}}),K=new D({props:{title:"AimTracker",local:"accelerate.tracking.AimTracker",headingTag:"h2"}}),J=new _({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.AimTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L480"}}),X=new _({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L494"}}),Q=new D({props:{title:"MLflowTracker",local:"accelerate.tracking.MLflowTracker",headingTag:"h2"}}),Y=new _({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L579"}}),Z=new _({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L610"}}),ee=new D({props:{title:"ClearMLTracker",local:"accelerate.tracking.ClearMLTracker",headingTag:"h2"}}),te=new _({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.`,name:"run_name"},{anchor:"accelerate.tracking.ClearMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L724"}}),re=new _({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L739"}}),ae=new Yt({props:{source:"https://github.com/huggingface/accelerate/blob/main/docs/source/package_reference/tracking.md"}}),{c(){M=c("meta"),De=a(),Ae=c("p"),Pe=a(),l(P.$$.fragment),He=a(),l(H.$$.fragment),Ne=a(),h=c("div"),l(N.$$.fragment),et=a(),ne=c("p"),ne.textContent=xt,tt=a(),oe=c("p"),oe.innerHTML=yt,rt=a(),ce=c("p"),ce.innerHTML=Mt,at=a(),ie=c("p"),ie.innerHTML=Ct,nt=a(),se=c("p"),se.innerHTML=Et,ot=a(),C=c("div"),l(B.$$.fragment),ct=a(),le=c("p"),le.textContent=At,it=a(),E=c("div"),l(V.$$.fragment),st=a(),de=c("p"),de.innerHTML=It,lt=a(),A=c("div"),l(S.$$.fragment),dt=a(),me=c("p"),me.innerHTML=Dt,Be=a(),l(O.$$.fragment),Ve=a(),T=c("div"),l(W.$$.fragment),mt=a(),ge=c("p"),ge.innerHTML=Pt,gt=a(),pe=c("div"),l(G.$$.fragment),Se=a(),l(U.$$.fragment),Oe=a(),w=c("div"),l(z.$$.fragment),pt=a(),ue=c("p"),ue.innerHTML=Ht,ut=a(),he=c("div"),l(q.$$.fragment),We=a(),l(F.$$.fragment),Ge=a(),b=c("div"),l(R.$$.fragment),ht=a(),fe=c("p"),fe.innerHTML=Nt,ft=a(),ke=c("p"),ke.textContent=Bt,kt=a(),$e=c("div"),l(j.$$.fragment),Ue=a(),l(K.$$.fragment),ze=a(),L=c("div"),l(J.$$.fragment),$t=a(),_e=c("p"),_e.innerHTML=Vt,_t=a(),ve=c("div"),l(X.$$.fragment),qe=a(),l(Q.$$.fragment),Fe=a(),x=c("div"),l(Y.$$.fragment),vt=a(),be=c("p"),be.innerHTML=St,bt=a(),Te=c("div"),l(Z.$$.fragment),Re=a(),l(ee.$$.fragment),je=a(),y=c("div"),l(te.$$.fragment),Tt=a(),we=c("p"),we.innerHTML=Ot,wt=a(),Le=c("div"),l(re.$$.fragment),Ke=a(),l(ae.$$.fragment),Je=a(),Ie=c("p"),this.h()},l(e){const o=Qt("svelte-u9bgzb",document.head);M=i(o,"META",{name:!0,content:!0}),o.forEach(r),De=n(e),Ae=i(e,"P",{}),k(Ae).forEach(r),Pe=n(e),d(P.$$.fragment,e),He=n(e),d(H.$$.fragment,e),Ne=n(e),h=i(e,"DIV",{class:!0});var f=k(h);d(N.$$.fragment,f),et=n(f),ne=i(f,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-m7ldax"&&(ne.textContent=xt),tt=n(f),oe=i(f,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-nxw2h6"&&(oe.innerHTML=yt),rt=n(f),ce=i(f,"P",{"data-svelte-h":!0}),v(ce)!=="svelte-sgpklc"&&(ce.innerHTML=Mt),at=n(f),ie=i(f,"P",{"data-svelte-h":!0}),v(ie)!=="svelte-fdst8q"&&(ie.innerHTML=Ct),nt=n(f),se=i(f,"P",{"data-svelte-h":!0}),v(se)!=="svelte-189sskg"&&(se.innerHTML=Et),ot=n(f),C=i(f,"DIV",{class:!0});var Qe=k(C);d(B.$$.fragment,Qe),ct=n(Qe),le=i(Qe,"P",{"data-svelte-h":!0}),v(le)!=="svelte-va87im"&&(le.textContent=At),Qe.forEach(r),it=n(f),E=i(f,"DIV",{class:!0});var Ye=k(E);d(V.$$.fragment,Ye),st=n(Ye),de=i(Ye,"P",{"data-svelte-h":!0}),v(de)!=="svelte-czjed5"&&(de.innerHTML=It),Ye.forEach(r),lt=n(f),A=i(f,"DIV",{class:!0});var Ze=k(A);d(S.$$.fragment,Ze),dt=n(Ze),me=i(Ze,"P",{"data-svelte-h":!0}),v(me)!=="svelte-ijycp8"&&(me.innerHTML=Dt),Ze.forEach(r),f.forEach(r),Be=n(e),d(O.$$.fragment,e),Ve=n(e),T=i(e,"DIV",{class:!0});var xe=k(T);d(W.$$.fragment,xe),mt=n(xe),ge=i(xe,"P",{"data-svelte-h":!0}),v(ge)!=="svelte-4bz4fo"&&(ge.innerHTML=Pt),gt=n(xe),pe=i(xe,"DIV",{class:!0});var Wt=k(pe);d(G.$$.fragment,Wt),Wt.forEach(r),xe.forEach(r),Se=n(e),d(U.$$.fragment,e),Oe=n(e),w=i(e,"DIV",{class:!0});var ye=k(w);d(z.$$.fragment,ye),pt=n(ye),ue=i(ye,"P",{"data-svelte-h":!0}),v(ue)!=="svelte-1funvbl"&&(ue.innerHTML=Ht),ut=n(ye),he=i(ye,"DIV",{class:!0});var Gt=k(he);d(q.$$.fragment,Gt),Gt.forEach(r),ye.forEach(r),We=n(e),d(F.$$.fragment,e),Ge=n(e),b=i(e,"DIV",{class:!0});var I=k(b);d(R.$$.fragment,I),ht=n(I),fe=i(I,"P",{"data-svelte-h":!0}),v(fe)!=="svelte-46z6qn"&&(fe.innerHTML=Nt),ft=n(I),ke=i(I,"P",{"data-svelte-h":!0}),v(ke)!=="svelte-1byed2r"&&(ke.textContent=Bt),kt=n(I),$e=i(I,"DIV",{class:!0});var Ut=k($e);d(j.$$.fragment,Ut),Ut.forEach(r),I.forEach(r),Ue=n(e),d(K.$$.fragment,e),ze=n(e),L=i(e,"DIV",{class:!0});var Me=k(L);d(J.$$.fragment,Me),$t=n(Me),_e=i(Me,"P",{"data-svelte-h":!0}),v(_e)!=="svelte-1wn9vfq"&&(_e.innerHTML=Vt),_t=n(Me),ve=i(Me,"DIV",{class:!0});var zt=k(ve);d(X.$$.fragment,zt),zt.forEach(r),Me.forEach(r),qe=n(e),d(Q.$$.fragment,e),Fe=n(e),x=i(e,"DIV",{class:!0});var Ce=k(x);d(Y.$$.fragment,Ce),vt=n(Ce),be=i(Ce,"P",{"data-svelte-h":!0}),v(be)!=="svelte-109p8cy"&&(be.innerHTML=St),bt=n(Ce),Te=i(Ce,"DIV",{class:!0});var qt=k(Te);d(Z.$$.fragment,qt),qt.forEach(r),Ce.forEach(r),Re=n(e),d(ee.$$.fragment,e),je=n(e),y=i(e,"DIV",{class:!0});var Ee=k(y);d(te.$$.fragment,Ee),Tt=n(Ee),we=i(Ee,"P",{"data-svelte-h":!0}),v(we)!=="svelte-b632ft"&&(we.innerHTML=Ot),wt=n(Ee),Le=i(Ee,"DIV",{class:!0});var Ft=k(Le);d(re.$$.fragment,Ft),Ft.forEach(r),Ee.forEach(r),Ke=n(e),d(ae.$$.fragment,e),Je=n(e),Ie=i(e,"P",{}),k(Ie).forEach(r),this.h()},h(){$(M,"name","hf:doc:metadata"),$(M,"content",er),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){t(document.head,M),s(e,De,o),s(e,Ae,o),s(e,Pe,o),m(P,e,o),s(e,He,o),m(H,e,o),s(e,Ne,o),s(e,h,o),m(N,h,null),t(h,et),t(h,ne),t(h,tt),t(h,oe),t(h,rt),t(h,ce),t(h,at),t(h,ie),t(h,nt),t(h,se),t(h,ot),t(h,C),m(B,C,null),t(C,ct),t(C,le),t(h,it),t(h,E),m(V,E,null),t(E,st),t(E,de),t(h,lt),t(h,A),m(S,A,null),t(A,dt),t(A,me),s(e,Be,o),m(O,e,o),s(e,Ve,o),s(e,T,o),m(W,T,null),t(T,mt),t(T,ge),t(T,gt),t(T,pe),m(G,pe,null),s(e,Se,o),m(U,e,o),s(e,Oe,o),s(e,w,o),m(z,w,null),t(w,pt),t(w,ue),t(w,ut),t(w,he),m(q,he,null),s(e,We,o),m(F,e,o),s(e,Ge,o),s(e,b,o),m(R,b,null),t(b,ht),t(b,fe),t(b,ft),t(b,ke),t(b,kt),t(b,$e),m(j,$e,null),s(e,Ue,o),m(K,e,o),s(e,ze,o),s(e,L,o),m(J,L,null),t(L,$t),t(L,_e),t(L,_t),t(L,ve),m(X,ve,null),s(e,qe,o),m(Q,e,o),s(e,Fe,o),s(e,x,o),m(Y,x,null),t(x,vt),t(x,be),t(x,bt),t(x,Te),m(Z,Te,null),s(e,Re,o),m(ee,e,o),s(e,je,o),s(e,y,o),m(te,y,null),t(y,Tt),t(y,we),t(y,wt),t(y,Le),m(re,Le,null),s(e,Ke,o),m(ae,e,o),s(e,Je,o),s(e,Ie,o),Xe=!0},p:jt,i(e){Xe||(g(P.$$.fragment,e),g(H.$$.fragment,e),g(N.$$.fragment,e),g(B.$$.fragment,e),g(V.$$.fragment,e),g(S.$$.fragment,e),g(O.$$.fragment,e),g(W.$$.fragment,e),g(G.$$.fragment,e),g(U.$$.fragment,e),g(z.$$.fragment,e),g(q.$$.fragment,e),g(F.$$.fragment,e),g(R.$$.fragment,e),g(j.$$.fragment,e),g(K.$$.fragment,e),g(J.$$.fragment,e),g(X.$$.fragment,e),g(Q.$$.fragment,e),g(Y.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(re.$$.fragment,e),g(ae.$$.fragment,e),Xe=!0)},o(e){p(P.$$.fragment,e),p(H.$$.fragment,e),p(N.$$.fragment,e),p(B.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(O.$$.fragment,e),p(W.$$.fragment,e),p(G.$$.fragment,e),p(U.$$.fragment,e),p(z.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(re.$$.fragment,e),p(ae.$$.fragment,e),Xe=!1},d(e){e&&(r(De),r(Ae),r(Pe),r(He),r(Ne),r(h),r(Be),r(Ve),r(T),r(Se),r(Oe),r(w),r(We),r(Ge),r(b),r(Ue),r(ze),r(L),r(qe),r(Fe),r(x),r(Re),r(je),r(y),r(Ke),r(Je),r(Ie)),r(M),u(P,e),u(H,e),u(N),u(B),u(V),u(S),u(O,e),u(W),u(G),u(U,e),u(z),u(q),u(F,e),u(R),u(j),u(K,e),u(J),u(X),u(Q,e),u(Y),u(Z),u(ee,e),u(te),u(re),u(ae,e)}}}const er='{"title":"Experiment Trackers","local":"experiment-trackers","sections":[{"title":"GeneralTracker","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"TensorBoardTracker","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2},{"title":"WandBTracker","local":"accelerate.tracking.WandBTracker","sections":[],"depth":2},{"title":"CometMLTracker","local":"accelerate.tracking.CometMLTracker","sections":[],"depth":2},{"title":"AimTracker","local":"accelerate.tracking.AimTracker","sections":[],"depth":2},{"title":"MLflowTracker","local":"accelerate.tracking.MLflowTracker","sections":[],"depth":2},{"title":"ClearMLTracker","local":"accelerate.tracking.ClearMLTracker","sections":[],"depth":2}],"depth":1}';function tr(Lt){return Kt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class cr extends Jt{constructor(M){super(),Xt(this,M,tr,Zt,Rt,{})}}export{cr as component};
